const logger = require('@pubsweet/logger')
const helpers = require('../../helpers/helpers')
const emailHelper = require('../../helpers/Email')

module.exports = models => async (req, res) => {
  const { email, type, role } = req.body
  if (!helpers.checkForUndefinedParams(email, type, role)) {
    res.status(400).json({ error: 'Email and type are required' })
    logger.error('User ID and role are missing')
    return
  }

  switch (type) {
    case 'invite':
      return emailHelper.setupNewUserEmail(req, res, email, role, models.User)
    case 'assign':
      return emailHelper.setupAssignEmail(req, email, res, role)
    default:
      return res
        .status(400)
        .json({ error: `Email type ${type} is not defined` })
  }
}
