const Chance = require('chance')
const { recReviewer } = require('./userData')

const chance = new Chance()
const fragments = {
  fragment: {
    id: chance.guid(),
    metadata: {
      title: chance.sentence(),
      abstract: chance.paragraph(),
    },
    save: jest.fn(),
    recommendations: [
      {
        recommendation: 'accept',
        recommendationType: 'review',
        comments: [
          {
            content: chance.paragraph(),
            public: chance.bool(),
            files: [
              {
                id: chance.guid(),
                name: 'file.pdf',
                size: chance.natural(),
              },
            ],
          },
        ],
        id: chance.guid(),
        userId: recReviewer.id,
        createdOn: chance.timestamp(),
        updatedOn: chance.timestamp(),
      },
    ],
  },
}

module.exports = fragments
