import React from 'react'
import { th, Icon } from '@pubsweet/ui'
import styled from 'styled-components'

import ZipFiles from 'pubsweet-components-faraday/src/components/Dashboard/ZipFiles'
import { MakeDecision } from './'

const SideBarActions = ({ project, version, currentUserIs }) => (
  <Root>
    {currentUserIs('adminEiC') ? <MakeDecision /> : <div />}
    <ZipFiles archiveName={`ID-${project.customId}`} fragmentId={version.id}>
      <ClickableIcon>
        <Icon>download</Icon>
      </ClickableIcon>
    </ZipFiles>
  </Root>
)

export default SideBarActions

// #region styled-components
const Root = styled.div`
  border-bottom: ${th('borderDefault')};
  display: flex;
  justify-content: space-between;
  padding: ${th('subGridUnit')};
`

const ClickableIcon = styled.div`
  margin: 0 ${th('subGridUnit')};
  &:hover {
    opacity: 0.7;
  }
`
// #endregion
