const helpers = require('../../helpers/helpers')

module.exports = models => async (req, res) => {
  const { email, password, token } = req.body
  if (!helpers.checkForUndefinedParams(email, password, token))
    return res.status(400).json({ error: 'missing required params' })

  if (password.length < 7)
    return res
      .status(400)
      .json({ error: 'password needs to be at least 7 characters long' })

  const validateResponse = await helpers.validateEmailAndToken(
    email,
    token,
    models.User,
  )

  if (validateResponse.success === false)
    return res
      .status(validateResponse.status)
      .json({ error: validateResponse.message })

  let { user } = validateResponse

  if (user.isConfirmed)
    return res.status(400).json({ error: 'User is already confirmed' })

  req.body.isConfirmed = true
  delete user.passwordResetToken
  delete req.body.token
  user = await user.updateProperties(req.body)

  user = await user.save()
  res.status(200).json(user)
}
